Subject: RE: [NSIS] Scoping

From: "Hancock, Robert" <[email-masked]>
Date: Wed, 3 May 2006 09:47:11 +0100

hi

i certainly got confused about the 'NSLP common header' text.
i don't think there's anything common about the headers of
NSLP messages. (the object registry is the shared part, so
there are some aspects of the message format that are common.)

i have no views on the scoping questions :-)

r.

> -----Original Message-----
> From: Hannes Tschofenig [mailto:[email-masked]] 
> Sent: 30 April 2006 19:41
> To: [email-masked]
> Subject: [NSIS] Scoping
> 
> 
> Hi all,
> 
> here is a comment regarding the CREATE message scoping
> (relevant for the QoS NSLP and the NATFW NSLP).
> 
> Section 5.1.1. of 
> http://www.ietf.org/internet-drafts/draft-ietf-nsis-qos-nslp-10.txt 
> defines the 'Common header' and defines a 16-bit generic flags field. 
> The 'S' flag is one of the defined flags:
> "
>        SCOPING (S) - when set, indicates that the message is 
> scoped and
>        should not travel down the entire path but only as far 
> as the next
>        QNE (scope="next hop"). By default, this flag is not 
> set (default
>        scope="whole path").
> "
> 
> Interestingly, the QoS NSLP folks haven't defined anything 
> that would be 
> similar to the scoping we do. I wonder what the reason is. At 
> the moment 
> I don't see how the two approaches could be harmonized -- this might 
> turn out to be a problem later when we decide to run the QoS NSLP and 
> the NATFW NSLP together (one might, for example, remember the 
> discussion 
> we had with Jukka about DSCP rewriting: see
> https://kobe.netlab.nec.de/roundup/nsis-natfw-nslp/issue46)
> 
> A comment regarding the 'P' flag in the Common NSLP header 
> that refers 
> to the proxy support for the REATE-PROXY and REA-PROXY 
> message. Section 
> 3.8.7 defines it.
> 
> The flag is introduced into the Common NSLP header, which is, as its 
> name indicates, common to all NSLPs. I think that this name 
> is, however, 
> wrong (or the description) since it is only common for all NATFW NSLP 
> messages.
> 
> I therefore suggest to change the text from:
> 
> "
> 4.1  NSLP Header
> 
>     The NSLP header is common to all NSLPs and is the first 
> part of all
>     NSLP messages.
> "
> 
> to:
> 
> "
> 4.1  NSLP Header
> 
> All GIST NSLP-Data objects for the NATFW NSLP MUST contain this Common
> Header as the first 32 bits of the object (this is not the same as
> the GIST Common Header).
> "
> 
> Is my observation correct or do I miss something here?
> 
> Ciao
> Hannes
> 
> 
> _______________________________________________
> nsis mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nsis
> 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis